Author Topic: How to work user input for this program  (Read 7206 times)

0 Members and 1 Guest are viewing this topic.

Adesu

  • Guest
How to work user input for this program
« Reply #15 on: March 17, 2005, 08:04:45 PM »
Quote from: Kerry Brown
Adesu,

Do you know how to use the debugger in the Visual Lisp IDE ?


Hi Kerry,yes I am not familiar with  the debugger ,and never use it,would you give me how to use it,thanks for your spend time.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
How to work user input for this program
« Reply #16 on: March 17, 2005, 08:18:55 PM »
From the Visual Lisp IDE

Select Help from The Menu

Select Visual Lisp Help Topics

When the help file opens select AutoLisp Tutorial.

Read the first 3 Chapters.


That will save us both a lot of aggravation.
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Adesu

  • Guest
How to work user input for this program
« Reply #17 on: March 17, 2005, 10:42:38 PM »
Quote from: Kerry Brown
From the Visual Lisp IDE
Select Help from The Menu
Select Visual Lisp Help Topics
When the help file opens select AutoLisp Tutorial.
Read the first 3 Chapters.
That will save us both a lot of aggravation.




On Visual Lisp editor I put a "(setq ss (ssget "x" '((0 . "LINE"))))",and then
I am trying to how you show me ,and I attempt to tested it,now I sort and hightlite "(setq ss (ssget "x" '((0 . "LINE"))))",and then
1.click debug on file menu
2.click add watch...
3.displayed Add watch dialog box with contain "(setq ss   (ssget "x" '((0 . "LINE"))))"
4.click Ok
5.displayed watch dialog box with contain;
  *Last-Value*=
  (setq ss (sget "x" (quote ((0...=<selec....
6.sort or highlite "(setq ss (sget "x" (quote ((0...=<selec....",and then double click
7.displayed Inspeck :PICKSET dialog box with contain
   at first line <Selection set :28>
   at second line
  • <LINE>(Entity name : 147fd88)

8. sort again or highlite and double click again
9.displayed Acad Line dialog box with contain
  at first line <Entity name : 147fd88>
  at second line {handle} "49" {layer} "0" ...etc

I usually copy clicp "(setq ss (ssget "x" '((0 . "LINE"))))" to Visual Lisp Console and then hit "enter" as like this

_$ (setq ss (ssget "x" '((0 . "LINE"))))
<Selection set: 5c>
_$

How comment you ,is it as you suggest ?